eoParetoSharing(3)

NAME
eoParetoSharing -

SYNOPSIS

Inherits eoPerf2Worth< EOT, worthT >.

  Public Member Functions
eoParetoSharing (double _nicheSize)
eoParetoSharing (double _nicheSize, eoParetoPhenDist< EOT, worthT > &_dist)
void operator ()(const eoPop< EOT > &_pop)

  Private Member Functions
double sh (double dist, double Dmax)

  Private Attributes
double nicheSize
eoParetoPhenDist< EOT, worthT > & dist
eoParetoEuclidDist< EOT > euc_dist
double Dmax

  Classes
class dMatrix

Detailed Description

  template<class EOT, class worthT = double> class eoParetoSharing< EOT, worthT >

Definition at line 9 of file eoParetoSharing.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.